<?xml version="1.0" encoding="UTF-8"?>
<phpunit xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:noNamespaceSchemaLocation="https://schema.phpunit.de/10.1/phpunit.xsd"
         bootstrap="vendor/autoload.php"
         colors="true">
    <source>
        <include>
            <directory>contrib/*/src</directory>
            <directory>src</directory>

            <file>contrib/xs_document/xs_document.module</file>
            <file>contrib/xs_dossier/xs_dossier.module</file>
            <file>xs_woo_suite.module</file>
        </include>
        <exclude>
            <directory>vendor</directory>
        </exclude>
    </source>

    <extensions>
        <bootstrap class="XpertSelect\Tools\PHPUnit\Extensions\BypassReadonlyExtension"/>
    </extensions>

    <testsuites>
        <testsuite name="unit">
            <directory>tests/Unit</directory>
            <directory>contrib/*/tests/Unit</directory>
        </testsuite>

        <testsuite name="functional">
            <directory>tests/Functional</directory>
            <directory>contrib/*/tests/Functional</directory>
        </testsuite>
    </testsuites>

    <php>
        <ini name="memory_limit" value="-1"/>
    </php>
</phpunit>
